BIGTOP-2978: Fix bigtop_toolchain for fedora: no epel-release necessary
diff --git a/bigtop_toolchain/manifests/packages.pp b/bigtop_toolchain/manifests/packages.pp
index 715a606..beb786d 100644
--- a/bigtop_toolchain/manifests/packages.pp
+++ b/bigtop_toolchain/manifests/packages.pp
@@ -62,8 +62,7 @@
         "libevent-devel",
         "apr-devel",
         "bison",
-        "libffi-devel",
-        "epel-release"
+        "libffi-devel"
       ]
     }
     /(?i:(SLES|opensuse))/: { $pkgs = [
@@ -225,4 +224,10 @@
       target => '/usr/lib/rpm/amazon',
     }
   }
+
+  if $operatingsystem == 'CentOS' {
+    package { 'epel-release':
+      ensure => installed
+    }
+  }
 }
diff --git a/bigtop_toolchain/manifests/renv.pp b/bigtop_toolchain/manifests/renv.pp
index 776340a..4d54434 100644
--- a/bigtop_toolchain/manifests/renv.pp
+++ b/bigtop_toolchain/manifests/renv.pp
@@ -14,6 +14,9 @@
 # limitations under the License.
 
 class bigtop_toolchain::renv {
+
+  require bigtop_toolchain::packages
+
   case $operatingsystem{
     /(?i:(centos|fedora|Amazon))/: {
       $pkgs = [
@@ -46,5 +49,6 @@
   exec { 'install_r_packages':
     cwd     => "/usr/bin",
     command => "/usr/bin/R -e \"install.packages(c('devtools', 'evaluate', 'rmarkdown', 'knitr', 'roxygen2', 'testthat', 'e1071'), repos = 'http://cran.us.r-project.org')\"",
+    timeout => 1800
   }
 }